VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Vm::Hardware::ConnectionInfo Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Vm::Hardware::ConnectionInfo:

## Avaliable Methods
public method | set_allow_guest_control ()
public method | set_state ()
public method | get_start_connected ()
public method | get_allow_guest_control ()
public method | new ()
public method | get_state ()
public method | set_start_connected ()

## Detailed Description

The `Com::Vmware::Vcenter::Vm::Hardware::ConnectionInfo` class provides information about the state and configuration of a removable virtual device.

## Member Function Documentation

public method Com::Vmware::Vcenter::Vm::Hardware::ConnectionInfo::get_allow_guest_control | ( |  | ) |

Gets the value of 'allow_guest_control' property.

Return values

  allow_guest_control | - The current value of the field. Flag indicating whether the guest can connect and disconnect the device. boolean#

Code:
click to view
# Number of lines of code in get_allow_guest_control: 4
sub get_allow_guest_control {
my ($self, %args) = @_;
return $self->{'allow_guest_control'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::ConnectionInfo::get_start_connected | ( |  | ) |

Gets the value of 'start_connected' property.

Return values

  start_connected | - The current value of the field. Flag indicating whether the virtual device should be connected whenever the virtual machine is powered on. boolean#

Code:
click to view
# Number of lines of code in get_start_connected: 4
sub get_start_connected {
my ($self, %args) = @_;
return $self->{'start_connected'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::ConnectionInfo::get_state | ( |  | ) |

Gets the value of 'state' property.

Return values

  state | - The current value of the field. Connection status of the virtual device. ConnectionState#

Code:
click to view
# Number of lines of code in get_state: 4
sub get_state {
my ($self, %args) = @_;
return $self->{'state'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::ConnectionInfo::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Vm::Hardware::ConnectionInfo structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 20
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{state} = $args{'state'};
$self->{start_connected} = $args{'start_connected'};
$self->{allow_guest_control} = $args{'allow_guest_control'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Vm::Hardware::ConnectionInfo');
$self->set_binding_name('name' => 'com.vmware.vcenter.vm.hardware.connection_info');
$self->set_binding_field('key' => 'state', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Vm::Hardware', 'type_name' => 'ConnectionState'));
$self->set_binding_field('key' => 'start_connected', 'value' => new Com::Vmware::Vapi::Bindings::Type::BooleanType());
$self->set_binding_field('key' => 'allow_guest_control', 'value' => new Com::Vmware::Vapi::Bindings::Type::BooleanType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Vm::Hardware::ConnectionInfo::set_allow_guest_control | ( |  | ) |

Sets the given value for 'allow_guest_control' property.

Parameters

  allow_guest_control | - New value for the field. Flag indicating whether the guest can connect and disconnect the device.

Code:
click to view
# Number of lines of code in set_allow_guest_control: 5
sub set_allow_guest_control {
my ($self, %args) = @_;
$self->{'allow_guest_control'} = $args{'allow_guest_control'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::ConnectionInfo::set_start_connected | ( |  | ) |

Sets the given value for 'start_connected' property.

Parameters

  start_connected | - New value for the field. Flag indicating whether the virtual device should be connected whenever the virtual machine is powered on.

Code:
click to view
# Number of lines of code in set_start_connected: 5
sub set_start_connected {
my ($self, %args) = @_;
$self->{'start_connected'} = $args{'start_connected'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::ConnectionInfo::set_state | ( |  | ) |

Sets the given value for 'state' property.

Parameters

  state | - New value for the field. Connection status of the virtual device.

Code:
click to view
# Number of lines of code in set_state: 5
sub set_state {
my ($self, %args) = @_;
$self->{'state'} = $args{'state'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Vm/Hardware/ConnectionInfo.pm